[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlActionLink.SetOnExecute

Set OnClick handler for the client, if the old values match.

## Declaration

Source position: controls.pp line 974

`protected procedure TControlActionLink.SetOnExecute(`
`Value: TNotifyEvent`
`); override;`

## Arguments

`Value` |  | New value for the OnClick event handler in the client control.

## Description

Formerly, this method changed the OnClick event handler for the client control. That action no longer need because TControl.Click now calls the OnExecute handler in the action.

In the current LCL version, this method is a NOP.